<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateTree Method (IEdmBatchItemGeneration)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchItemGeneration Interface : CreateTree Method (IEdmBatchItemGeneration)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

lEdmItemGenerationCmdFlags
  Combination of EdmItemGenerationFlags bits

Computes the file reference tree for the items added to the batch using IEdmBatchItemGeneration::AddSelection.

# Syntax

Visual Basic |
--- | ---

    Function CreateTree( _
       ByVal lParentWnd As System.Integer, _
       ByVal lEdmItemGenerationCmdFlags As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool CreateTree(
       System.int lParentWnd,
       System.int lEdmItemGenerationCmdFlags
    )

C++/CLI |
--- | ---

    System.bool CreateTree(
    &   System.int lParentWnd,
    &   System.int lEdmItemGenerationCmdFlags
    )

#### Parameters

lParentWnd
  Parent window handle
lEdmItemGenerationCmdFlags
  Combination of EdmItemGenerationFlags bits

#### Return Value

True if there is at least one item to create; false if there are none

# Example

Add Items (C#)
Add Items (VB.NET)

# Remarks

After calling this method, call IEdmBatchItemGeneration::GenerateItems and, optionally, IEdmBatchItemGeneration::ShowDlg.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchItemGeneration Interface
IEdmBatchItemGeneration Members

# Availability

SOLIDWORKS PDM Professional 2010